--[[
************************************************************************
Project				: SKG
Author				: zhinjio
Project Revision	: r136
Project Date		: 20090516063018

File				: SKG_Statics.lua
Commit Author		: zhinjio
Commit Revision		: 118
Commit Date			: 20081030164922
************************************************************************
Description	:
	This file defines all the static popups I use in the addon. These are
	essentially just added into the global "StaticPopupDialogs" namespace.

TODO		:

************************************************************************
(see bottom of file for changelog)
************************************************************************
--]]
local SKG = LibStub( "AceAddon-3.0"):GetAddon( "SKG" )
local SKGL = LibStub( "AceLocale-3.0"):GetLocale( "SKG" )

StaticPopupDialogs["SKG_NEWLIST"] = {
	text = SKGL["SKG_STAT_NEWLIST"],
	button1 = SKGL["SKG__CREATE"],
	button2 = SKGL["SKG__CANCEL"],
	hasEditBox = 1,
	maxLetters = 20,
	OnAccept = function()
		local editBox = getglobal(this:GetParent():GetName().."EditBox")
		SKG_CreateNewList( editBox:GetText() )
	end,
	OnShow = function()
		getglobal(this:GetName().."EditBox"):SetFocus()
	end,
	OnHide = function()
		getglobal(this:GetName().."EditBox"):SetText("")
	end,
	EditBoxOnEnterPressed = function()
		local editBox = getglobal(this:GetParent():GetName().."EditBox")
		SKG_CreateNewList( editBox:GetText() )
		this:GetParent():Hide()
	end,
	EditBoxOnEscapePressed = function()
		this:GetParent():Hide()
	end,
	timeout = 0,
	exclusive = 1,
	whileDead = 1,
	hideOnEscape = 1
};

StaticPopupDialogs["SKG_CONFIRMDELETION"] = {
	text = SKGL["SKG_STAT_DELETELISTCONFIRM"],
	button1 = SKGL["SKG__DELETE"],
	button2 = SKGL["SKG__CANCEL"],
	OnAccept = function()
		SKG_DeleteList()
	end,
	EditBoxOnEscapePressed = function()
		this:GetParent():Hide()
	end,
	timeout = 0,
	exclusive = 1,
	whileDead = 1,
	hideOnEscape = 1
};

StaticPopupDialogs["SKG_CONFIRM_PLAYER_DELETE"] = {
	text = SKGL["SKG_STAT_DELETEALLCONFIRM"],
	button1 = SKGL["SKG__YES"],
	button2 = SKGL["SKG__NO"],
	OnAccept = function()
		SKG_DeletePlayer()
	end,
	EditBoxOnEscapePressed = function()
		this:GetParent():Hide()
	end,
	timeout = 0,
	exclusive = 1,
	whileDead = 1,
	hideOnEscape = 1
};

StaticPopupDialogs["SKG_CONFIRM_PLAYER_REMOVE"] = {
	text = SKGL["SKG_STAT_DELETECONFIRM"],
	button1 = SKGL["SKG__YES"],
	button2 = SKGL["SKG__NO"],
	OnAccept = function()
		SKG_DeletePlayer()
	end,
	EditBoxOnEscapePressed = function()
		this:GetParent():Hide()
	end,
	timeout = 0,
	exclusive = 1,
	whileDead = 1,
	hideOnEscape = 1
};

StaticPopupDialogs["SKG_RENAMELIST"] = {
	text = SKGL["SKG_STAT_RENAMELIST"],
	button1 = SKGL["SKG__RENAME"],
	button2 = SKGL["SKG__CANCEL"],
	hasEditBox = 1,
	maxLetters = 20,
	OnAccept = function()
		local editBox = getglobal(this:GetParent():GetName().."EditBox")
		SKG_RenameList( editBox:GetText() )
	end,
	OnShow = function()
		getglobal(this:GetName().."EditBox"):SetFocus()
	end,
	OnHide = function()
		getglobal(this:GetName().."EditBox"):SetText("")
	end,
	EditBoxOnEnterPressed = function()
		local editBox = getglobal(this:GetParent():GetName().."EditBox")
		SKG_RenameList( editBox:GetText() )
		this:GetParent():Hide()
	end,
	EditBoxOnEscapePressed = function()
		this:GetParent():Hide()
	end,
	timeout = 0,
	exclusive = 1,
	whileDead = 1,
	hideOnEscape = 1
};

StaticPopupDialogs["SKG_CONFIRM_SNAPSHOT"] = {
	text = SKGL["SKG_STAT_SNAPSHOTCONFIRM"],
	button1 = SKGL["SKG__YES"],
	button2 = SKGL["SKG__NO"],
	OnAccept = function()
		SKG_SnapshotList()
	end,
	EditBoxOnEscapePressed = function()
		this:GetParent():Hide()
	end,
	timeout = 0,
	exclusive = 1,
	whileDead = 1,
	hideOnEscape = 1
};



StaticPopupDialogs["SKG_CLONELIST"] = {
	text = SKGL["SKG_STAT_NEWLIST"],
	button1 = SKGL["SKG__CLONE"],
	button2 = SKGL["SKG__CANCEL"],
	hasEditBox = 1,
	maxLetters = 20,
	OnAccept = function()
		local editBox = getglobal(this:GetParent():GetName().."EditBox")
		SKG_CloneList( editBox:GetText() )
	end,
	OnShow = function()
		getglobal(this:GetName().."EditBox"):SetFocus()
	end,
	OnHide = function()
		getglobal(this:GetName().."EditBox"):SetText("")
	end,
	EditBoxOnEnterPressed = function()
		local editBox = getglobal(this:GetParent():GetName().."EditBox")
		SKG_CloneList( editBox:GetText() )
		this:GetParent():Hide()
	end,
	EditBoxOnEscapePressed = function()
		this:GetParent():Hide()
	end,
	timeout = 0,
	exclusive = 1,
	whileDead = 1,
	hideOnEscape = 1
};

StaticPopupDialogs["SKG_INSERTPLAYER"] = {
	text = SKGL["SKG_STAT_INSERTPLAYER"],
	button1 = SKGL["SKG__INSERT"],
	button2 = SKGL["SKG__CANCEL"],
	hasEditBox = 1,
	maxLetters = 20,
	OnAccept = function()
		local editBox = getglobal(this:GetParent():GetName().."EditBox")
		SKG.EditBoxReturnValue = editBox:GetText()
	end,
	OnShow = function()
		getglobal(this:GetName().."EditBox"):SetFocus()
	end,
	OnHide = function()
		getglobal(this:GetName().."EditBox"):SetText("")
	end,
	EditBoxOnEnterPressed = function()
		local editBox = getglobal(this:GetParent():GetName().."EditBox")
		SKG.EditBoxReturnValue = editBox:GetText()
		this:GetParent():Hide()
	end,
	EditBoxOnEscapePressed = function()
		this:GetParent():Hide()
	end,
	timeout = 0,
	exclusive = 1,
	whileDead = 1,
	hideOnEscape = 1
};

StaticPopupDialogs["SKG_SYNSS_WITH_BAD_HASH"] = {
	text = SKGL["SKG_STAT_SYNSS_BAD_HASH"],
	button1 = SKGL["SKG__OK"],
	OnAccept = function()
		-- Don't do anything, this was just a warning message
		this:GetParent():Hide()
	end,
	EditBoxOnEscapePressed = function()
		this:GetParent():Hide()
	end,
	timeout = 0,
	exclusive = 1,
	whileDead = 1,
	hideOnEscape = 1
};

StaticPopupDialogs["SKG_CONFIRM_PLAYER_ADDMISSING"] = {
	text = SKGL["SKG_STAT_CONFIRM_PLAYER_ADDMISSING"],
	button1 = SKGL["SKG__OK"],
	button2 = SKGL["SKG__CANCEL"],
	OnAccept = function()
		SKG_PlayerTimerFrame:Show()
		this:GetParent():Hide()
	end,
	EditBoxOnEscapePressed = function()
		this:GetParent():Hide()
	end,
	timeout = 0,
	exclusive = 1,
	whileDead = 1,
	hideOnEscape = 1
};

StaticPopupDialogs["SKG_CONFIRM_ROLLLIST_ADDMISSING"] = {
	text = SKGL["SKG_STAT_CONFIRM_ROLLLIST_ADDMISSING"],
	button1 = SKGL["SKG__OK"],
	button2 = SKGL["SKG__CANCEL"],
	OnAccept = function()
		SKG_ListTimerFrame:Show()
		this:GetParent():Hide()
	end,
	EditBoxOnEscapePressed = function()
		this:GetParent():Hide()
	end,
	timeout = 0,
	exclusive = 1,
	whileDead = 1,
	hideOnEscape = 1
};

StaticPopupDialogs["SKG_CONFIRM_IMPORT"] = {
	text = SKGL["SKG_STAT_CONFIRM_IMPORT"],
	button1 = SKGL["SKG__OK"],
	button2 = SKGL["SKG__CANCEL"],
	OnAccept = function()
		SKG_Print( SKGL["SKG_MSG_IMPORT_PHASES"] )
		SKG_ImportPhase1()
		this:GetParent():Hide()
	end,
	EditBoxOnEscapePressed = function()
		this:GetParent():Hide()
	end,
	timeout = 0,
	exclusive = 1,
	whileDead = 1,
	hideOnEscape = 1
};

StaticPopupDialogs["SKG_OVERRIDE_SYNSS"] = {
	text = SKGL["SKG_STAT_CONFIRM_OVERRIDE"],
	button1 = SKGL["SKG__OK"],
	button2 = SKGL["SKG__CANCEL"],
	OnAccept = function()
		-- he really wants it. Give him that player's lists, straight up.
		local TID, lName, rList, lLog, lMod, Snap, SnapLM = unpack( SKG.OverrideData, 1, 7 )
		local db = SKG.db.profile
		db.Log[lName] = lLog
		db.RollLists[lName] = rList
		-- I don't think I can reach this code without being an admin, so I believe this
		-- should be safe here
		db.LastMod[lName] = lMod
		db.Snapshot[lName] = Snap
		db.SnapshotLM[lName] = SnapLM

		local lTID = SKG_GetLatestTID( db.Log[lName] )
		local newlHash = SKG_HashRollList( lTID, lName )
		SKG_AddLogEntry( TID, "SKG", "SYNSL", lName, newlHash )

		SKG_ScrollFrame.selected = 0
		SKG_UpdateSPlayers()
		SKG_UpdateMainsChooser()
		SKG_UpdateToonChooser()
		SKG_UpdateCurrentList()

		SKG.OverrideData = {}
		this:GetParent():Hide()
	end,
	EditBoxOnEscapePressed = function()
		SKG.OverrideData = {}
		this:GetParent():Hide()
	end,
	timeout = 0,
	exclusive = 1,
	whileDead = 1,
	hideOnEscape = 1
};

--[[
************************************************************************
CHANGELOG:

Date : 10/25/08
	Initial attempt with Ace3 instead of LibRock. Added header/footer.
************************************************************************
]]--